Mvn clean package on Micronaut application requires Maven version 3.3.9

Hi buddies,
I’m trying to use buddy to deploy a Micronaut Java application to AWS Lambda.
On an action which executed “mvn clean package”, I got this error:

[ERROR] Failed to execute goal io.micronaut.build:micronaut-maven-plugin:3.0.1:graalvm-resources (default-graalvm-resources) on project: The plugin io.micronaut.build:micronaut-maven-plugin:3.0.1 requires Maven version 3.3.9 -> [Help 1]

I’m wondering if this is some missing configuration from my side or it is the maven version of Buddy. Is there any suggestion for this? Thanks a lot!

Hi there,
Please send us the URL to this pipeline at support@buddy.works. We’ll take a look.